<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable53;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable53Import implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null && $row[6] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable53([
            'dataset_id'                => $this->datasetId,
            'created_by'                => $this->userId,
            'nama_instansi'             => $row[1],
            'jabatan_fungsional'        => $row[2],
            'laki_laki'                 => $row[3],
            'perempuan'                 => $row[4],
            'staf_diklat_l'             => $row[5],
            'staf_diklat_p'             => $row[6],
        ]);
    }
}
